API Direct
Endpoints
Facebook Page Details

Facebook Page Details

GET /v1/facebook/page
Documentation

Get detailed information about a Facebook page by URL. Returns page name, ID, follower and like counts, categories, contact details, verification status, and more.

Cost
$0.008 per request
Free tier
50 requests/month

Parameters

url *
Facebook page URL (e.g., https://www.facebook.com/Meta)

Example Request

curl "https://apidirect.io/v1/facebook/page?url=https%3A%2F%2Fwww.facebook.com%2FMeta" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "page": {
    "name": "Meta",
    "page_id": "139654476388086",
    "url": "https://www.facebook.com/Meta",
    "type": "Technology company",
    "image": "https://scontent.xx.fbcdn.net/v/t39.30808-1/...",
    "cover_image": "https://scontent.xx.fbcdn.net/v/t39.30808-6/...",
    "followers": 14523890,
    "likes": 13876543,
    "following": 842,
    "categories": ["Technology company"],
    "intro": "Meta builds technologies that help people connect.",
    "website": "https://about.meta.com",
    "phone": null,
    "email": null,
    "address": "Menlo Park, California",
    "rating": null,
    "price_range": null,
    "verified": true,
    "delegate_page_id": "139654476388086",
    "reels_page_id": "139654476388086"
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity